2019-10-16 11:36 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000020FSSCPgraphicspublic2006-10-26 23:42
ReporterLightspeed 
Assigned Totaylor 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6 
Summary0000020: FS2_open choosing the files in a weird way
DescriptionWhen i want to use an animated background for FRED or for a ship I will have to remove all other image types for it.

Now you'll see that each time I open FRED2open it will crash. However, if I keep a .pcx copy of the file Freespace2 will ALSO use it.

My suggestion is to have the game look for ANI as the first file type, THEN for tga, jpg and pcx. This way you could have a PCX file and both FRED2 and FS2open would be happy (and your animation would work).
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000016closedBobboau Animated glowmap isn't animating 
+Relationships

-Notes

~0000249

RandomTiger (developer)

Lightspeed could you update this bug with all the new evidence we have discovered. It would also be good if you got around to running that debug exe for me.

~0000282

Lightspeed (reporter)

You can eliminate this bug as the newest test builds prefer ANI over other file formats. Although that causes funny effects with the tech room ANIs used instead of hull textures, it killed this problem :-)

~0000283

Bobboau (developer)

I swiched the loading order, but as mentioned, it loads random (well not realy random) interface art over the actual ship texture for sevral ships/weapons, people have been asking for this swich for a long time, but the only way to fix the wrong texture loading bug is to hack in a check for any textures we find getting loaded incorectly

~0000304

CP5670 (reporter)

Last edited: 2004-03-05 12:31

Here is something I posted on the HLP forum a few weeks ago on this matter. It looks like the current builds are first considering the file type and then the file location, which shouldn't be happening.

"Regarding the file precedences, the best thing would be to keep the existing file location system and make the file type system secondary to that. Currently, it seems that the file types are considered before file locations, which can cause problems. For example, I was trying to disable the nebulas in the FS2 open VP a few months ago; I tried dumping all the original PCX nebulas from the sparky file into \data\effects but the game still kept reading the TGAs in the FSO VP. Eventually, I had to resort to making a new VP without these nebula files.

So the way it should be is that any isolated files are used ahead of files inside VPs and files in VPs with earlier (alphabetical) filename positions are read ahead of those in later ones, just as it used to be, but if the game reads both TGA and PCX versions of the same file in the same location, then the TGA is used."

As for the tech room missile texture issue, I think an easy hack would be to tell it to use files from the \maps subdirectory over ones from \interface or whatever.

edited on: 03-05-04 12:31

~0000410

kasperl (developer)

As Bob said, in the latest builds, Cyclops and Helios torpedo's have a green wireframe like thingy as a texture.

~0000411

Bobboau (developer)

that would _not_ be an easy hack, what I need is a complete list of files that are getting misread, I already know about the suport ship (suport.pcx/ani) and the helios and cyclops (don't know for sure there file names) if someone could make out a list look through everything, make sure nothing is getting loaded wrong.

~0000635

taylor (administrator)

loading of interface graphics as ship textures should be fixed now

~0000640

RandomTiger (developer)

Could you describe your fix?

~0000641

taylor (administrator)

Changed bm_*_load_animation() to accept a CFILE directory type specification. The default is CF_TYPE_ANY which is the old behavior with the bm_load_animation() call in modelread.cpp using CF_TYPE_MAPS to grab from data/maps only. For the purposes of mod testing copy new texture anis to data/maps and they will be used over VP files.

~0000910

RandomTiger (developer)

Lightspeed, could you verify that this is fixed please

~0000916

taylor (administrator)

This is really two problems and the transparent texture problem (that's fixed) is not what the bug was about. In modelread.cpp pcx textures are loaded over ani textures at current. I guess it was Bobboau that fixed this actual bug back in March by giving ani preference. That's when the transparent texture problem surfaced. I think that Bobboau switched it back to avoid the transparent textures but that wasn't necessary.

The fix involves switching load preference back to ani over pcx and restricting ani loads to data/maps directory to avoid interface graphics. This is done.
+Notes

-Issue History
Date Modified Username Field Change
2004-01-02 20:04 Lightspeed New Issue
2004-02-25 19:17 RandomTiger Note Added: 0000249
2004-03-04 15:47 RandomTiger Status new => acknowledged
2004-03-04 19:05 Lightspeed Note Added: 0000282
2004-03-04 20:52 Bobboau Note Added: 0000283
2004-03-05 12:30 CP5670 Note Added: 0000304
2004-03-05 12:31 CP5670 Note Edited: 0000304
2004-03-09 13:44 kasperl Note Added: 0000410
2004-03-10 00:44 Bobboau Note Added: 0000411
2004-04-02 01:26 taylor Note Added: 0000635
2004-04-02 01:44 RandomTiger Note Added: 0000640
2004-04-02 01:53 taylor Note Added: 0000641
2004-05-08 04:40 RandomTiger Note Added: 0000910
2004-05-08 04:40 RandomTiger Assigned To => taylor
2004-05-08 04:40 RandomTiger Status acknowledged => assigned
2004-05-09 11:04 taylor Status assigned => resolved
2004-05-09 11:04 taylor Resolution open => fixed
2004-05-09 11:04 taylor Note Added: 0000916
2006-10-26 23:36 Goober5000 Relationship added parent of 0000016
2006-10-26 23:37 Goober5000 Relationship replaced has duplicate 0000016
2006-10-26 23:42 Goober5000 Status resolved => closed
2006-10-26 23:42 Goober5000 Fixed in Version => 3.6
+Issue History